export const DATA_CONFIG = {
  gridConfig: [
    { label: '景区名称',
      prop: 'scenicCodeDisplay'
    },
    { label: '预警日期',
      prop: 'alarmDate'
    },
    { label: '预警开始小时',
      prop: 'alarmBeginHour'
    },
    { label: '预警开始分钟',
      prop: 'alarmBeginMinute'
    },
    { label: '预警结束小时',
      prop: 'alarmEndHour'
    },
    { label: '预警结束分钟',
      prop: 'alarmEndMinute'
    },
    { label: '预警时长',
      prop: 'alarmHour'
    },
    { label: '预警分钟',
      prop: 'alarmMinute'
    },
    { label: '预警等级',
      prop: 'alarmLevelDisplay'
    },
  ],
  queryConfig: [
    { span: 24,
      label:'景区名称',
      prop: 'scenicCode',
      type: 'select',
      dataScource: 'f0d7c3827e5d39a27d1d0f411ab88abb',
      data:[]
    },
  ],
  dialogConfig: {
  	labelWidth: '120px'
  },
  // crud的模态框表单配置，可配置表单类型，验证规则，是否必填,col-span布局可通过span参数配置
  formConfig: [
    { span: 24,
      label:'景区名称',
      prop: 'scenicCode',
      type: 'select',
      rules:[
        {
          required: true,
          message: '请选择景区名称',
          trigger: 'change'
        },
		  ],
      dataScource: 'f0d7c3827e5d39a27d1d0f411ab88abb',
      data:[]
    },
    { span: 24,
      label:'预警日期',
      prop: 'alarmDate',
      type: 'date',
      rules:[
        {
          required: true,
          message: '请输入预警日期',
          trigger: 'blur'
        },
    	  ],
      data:[]
    },
    { span: 12,
      label:'预警开始小时',
      prop: 'alarmBeginHour',
      type: 'integer',
      rules:[
        {
          required: true,
          message: '请输入预警开始小时',
          trigger: 'blur'
        },
    	  ],
      data:[]
    },
    { span: 12,
      label:'预警开始分钟',
      prop: 'alarmBeginMinute',
      type: 'integer',
      rules:[
        {
          required: true,
          message: '请输入预警开始分钟',
          trigger: 'blur'
        },
    	  ],
      data:[]
    },
    { span: 12,
      label:'预警结束小时',
      prop: 'alarmEndHour',
      type: 'integer',
      rules:[
        {
          required: true,
          message: '请输入预警结束小时',
          trigger: 'blur'
        },
    	  ],
      data:[]
    },
    { span: 12,
      label:'预警结束分钟',
      prop: 'alarmEndMinute',
      type: 'integer',
      rules:[
        {
          required: true,
          message: '请输入预警结束分钟',
          trigger: 'blur'
        },
    	  ],
      data:[]
    },
    { span: 12,
      label:'预警时长',
      prop: 'alarmHour',
      type: 'integer',
      rules:[
        {
          required: true,
          message: '请输入预警时长',
          trigger: 'blur'
        },
    	  ],
      data:[]
    },
    { span: 12,
      label:'预警分钟',
      prop: 'alarmMinute',
      type: 'integer',
      rules:[
        {
          required: true,
          message: '请输入预警分钟',
          trigger: 'blur'
        },
    	  ],
      data:[]
    },
    { span: 24,
      label:'预警等级',
      prop: 'alarmLevel',
      type: 'select',
      rules:[
        {
          required: true,
          message: '请选择预警等级',
          trigger: 'change'
        },
      ],
      dataScource: 'b7d903e8f297448cf8c205b9850d6130',
      data:[]
    },

  ],

  // crud的操作按钮配置，基础按钮有添加、修改、删除、查看，还可以配置扩展按钮
  gridTopBtnConfig: [
  {
   'name': '重置',
   'type': null,
   'classify': 'reset',
   'index': 0,
   'location': 'top',
   'roles': [],
   'modelId': null,
   'actionUrl': ''
 }],

 gridOperaBtnConfig:[
 	{
   'name': '新建',
   'type': null,
   'classify': 'create',
   'index': 0,
   'location': 'top',
   'roles': [],
   'modelId': null,
   'actionUrl': ''
 	},

 ],
 gridBtnConfig: [
   {
     'name': '修改',
     'type': null,
     'classify': 'update',
     'index': 1,
     'location': 'grid',
     'roles': [],
     'actionUrl': ''
   },
   {
     'name': '删除',
     'type': null,
     'classify': 'delete',
     'index': 2,
     'location': 'grid',
     'roles': [],
     'modelId': null,
     'actionUrl': ''
   }
 ],
  // 表单基础数据类型，需要预先赋值
  formModel: {
    'id' : '',
    'scenicCode': '',
    'alarmDate': '',
    'alarmBeginHour': '',
    'alarmBeginMinute': '',
    'alarmEndHour': '',
    'alarmEndMinute': '',
    'alarmHour': '',
    'alarmMinute': '',
    'alarmLevel': '',
  },
  queryModel: {
    'scenicCode' : null,
  }
}
